﻿@model SSCMvc.Models.Tb_MockTest
@using SSCMvc.Models;
@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddDtl.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();
            $("#NextDate").datepicker(
      { minDate: 1 }
          );

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>



    <style type="text/css">
        div.box div.overlay {
            display: none;
        }

        select {
            width: 150px;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>


}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Detail of Mock Test
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container">
    <ul class="tabs">
        <li class="active"><a href="#tab1">General Detail<span id="spPending"></span></a></li>
        <li><a href="#tab2">Foll. Up History <span id="spHistory"></span></a></li>
        <li><a href="#tab3">Highest Qualification <span id="spQual"></span></a></li>
    </ul>
    <div class="tab_container1">
        <div style="display: block; overflow-x:scroll;" id="tab1" class="tab_content">
            <table width="750px" align="center">
                <tr>
                    <td align="left">
                        <fieldset>
                            <legend>Student Detail</legend>
                            <table align="center" width="750px">
                                <tr>
                                    @{
                                        SSCWebDBEntities1 db = new SSCWebDBEntities1();
                                        MaAdmission objAdm = db.MaAdmissions.Where(z => z.Id == Model.StudentId).First();
                                        string path = "../../Content/themes/base/images/Documents/" + objAdm.StudPhoto;
                                       
                                    }
                                    <td class="display-label" width="120px">
                                     
                                            <img align="right" width="100" height="100" src="@path" />
                                       
                                    </td>
                                    <td class="display-field" width="250px">
                                     
                                    </td>
                                    <td></td>
                                    <td> </td>

                                </tr>
                                <tr>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.StudentId)
                                    </td>
                                    <td class="display-field" width="250px">
                                      
                                        @objAdm.FirstName @objAdm.LastName
                                    </td>
                                    <td> REF./ROLL NO.</td>
                                    <td> @objAdm.RollNo </td>
                                    
                                </tr>
                                <tr>
                                    <td class="display-label" width="120px">
                                        Category
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.Category)
                                    </td>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.CourseId)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.CourseId)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="display-label" width="120px">
                                        Timing
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.TimeId)
                                    </td>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.TestDate)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.TestDate)
                                    </td>
                                </tr>
                            </table>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <fieldset>
                            <legend>Test Detail</legend>
                            <table>
                                <tr>
                                    <td class="display-label" width="120px">
                                        Entered By
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.User.Fullname)
                                    </td>


                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.CDate)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.CDate)
                                    </td>





                                </tr>
                                <tr>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.LBand)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.LBand)
                                    </td>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.RBand)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.RBand)
                                    </td>



                                </tr>
                                <tr>

                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.WBand)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.WBand)
                                    </td>

                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.SBand)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.SBand)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="display-label" width="120px">
                                        @Html.DisplayNameFor(model => model.Overall)
                                    </td>
                                    <td class="display-field" width="250px">
                                        @Html.DisplayFor(model => model.Overall)
                                    </td>
                                    @*<td class="display-label" width="120px">
                                            @Html.DisplayNameFor(model => model.Remarks)
                                        </td>
                                        <td class="display-field" width="250px">
                                            @Html.DisplayFor(model => model.Remarks)
                                        </td>*@
                                </tr>
                            </table>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.Action("IeltsResult")
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <br />
                        @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
                        @Html.ActionLink("Back to List", "Index")
                    </td>
                </tr>
            </table>
        </div>
        <div style="display: block; overflow-x:scroll;" id="tab2" class="tab_content">
            @Html.Action("_MockCreate", new { @id = Model.Id, @admId = Model.StudentId })
        </div>
        <div style="display: block;" id="tab3" class="tab_content">
            @Html.Action("_HighestQuali",new {@id= Model.StudentId })
        </div>
    </div>
</div>